package main

import (
	"flag"
	"math/rand"
	"time"

	"git.kirsle.net/apps/sonar"
	"github.com/kirsle/golog"
)

var debug bool
var listen string

func init() {
	rand.Seed(time.Now().UnixNano())

	flag.StringVar(&listen, "listen", "127.0.0.1:8000", "Interface to listen on, default localhost only")
	flag.BoolVar(&debug, "debug", false, "Debug level logging")
}

func main() {
	flag.Parse()
	if debug {
		log := golog.GetLogger("sonar")
		log.Config.Level = golog.DebugLevel
	}

	app := sonar.New()
	app.ListenAndServe(listen)

	_ = app
}
